const warn = (msg, ...args) => {
    console.warn(`[KTMap warn] ${msg}`, ...args);
};

// 📝 https://www.zhihu.com/question/276314390
// 目前不好约束子类 static 成员，只能在运行时检测
/**
 * 右键菜单
 */
class ContextMenu$1 {
    constructor() { }
}

/**
 *
 */
class ContextMenu extends ContextMenu$1 {
    constructor(options) {
        super();
        Object.defineProperty(this, "options", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: options
        });
    }
    __init() {
        console.log('ContextMenu init success');
        {
            warn('开发环境警告，测试');
        }
    }
}
Object.defineProperty(ContextMenu, "NAME", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: 'ContextMenu'
});

export { ContextMenu };
